cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/accounting_codes/121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"accounting_code": {
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work"
}
}'from exsited import build_client
client = build_client()
response = client.accounting_codes.update_settings_accounting_code(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"accounting_code": {
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.updateSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
accounting_code: {display_name: 'Consulting revenue (AU)', description: 'Revenue from consulting work'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->updateSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'accounting_code' => [
'display_name' => 'Consulting revenue (AU)',
'description' => 'Revenue from consulting work',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().updateSettingsAccountingCode(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"accounting_code", Map.of(
"display_name", "Consulting revenue (AU)",
"description", "Revenue from consulting work")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.UpdateSettingsAccountingCodeAsync(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["accounting_code"] = new Dictionary<string, object?>
{
["display_name"] = "Consulting revenue (AU)",
["description"] = "Revenue from consulting work",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.updateSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'accounting_code': {
'display_name': 'Consulting revenue (AU)',
'description': 'Revenue from consulting work',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().UpdateSettingsAccountingCode(context.Background(), "121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"accounting_code": map[string]any{
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Accounting codes
Update an accounting code
Changes the fields you send on an accounting code and returns it under accounting_code.
PATCH
/
settings
/
accounting_codes
/
{accounting_code_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/accounting_codes/121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"accounting_code": {
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work"
}
}'from exsited import build_client
client = build_client()
response = client.accounting_codes.update_settings_accounting_code(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"accounting_code": {
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.updateSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
accounting_code: {display_name: 'Consulting revenue (AU)', description: 'Revenue from consulting work'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->updateSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'accounting_code' => [
'display_name' => 'Consulting revenue (AU)',
'description' => 'Revenue from consulting work',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().updateSettingsAccountingCode(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"accounting_code", Map.of(
"display_name", "Consulting revenue (AU)",
"description", "Revenue from consulting work")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.UpdateSettingsAccountingCodeAsync(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["accounting_code"] = new Dictionary<string, object?>
{
["display_name"] = "Consulting revenue (AU)",
["description"] = "Revenue from consulting work",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.updateSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'accounting_code': {
'display_name': 'Consulting revenue (AU)',
'description': 'Revenue from consulting work',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().UpdateSettingsAccountingCode(context.Background(), "121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"accounting_code": map[string]any{
"display_name": "Consulting revenue (AU)",
"description": "Revenue from consulting work",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Send the fields to change under
accounting_code. The response holds the whole accounting code after the change.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The accounting code's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated accounting code, under accounting_code.
Show child attributes
Show child attributes